:root {
    --primary-color: #233B3Dff;
    --secondary-color: rgb(49, 164, 146);
    --accent-color: #f4f1ee;
    --text-color: #333;
    --background-color: rgb(236, 234, 231);
    --dark-brown: #4a3f35ff;
}

.product-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.product-modal.open {
    position: flex;
}

.product-modal-content {
    border-radius: 5px;
    width: 95%;
    max-width: 600px;
    max-height: 90%;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    margin: auto;
    overflow-y: auto;
    position: relative;
    box-sizing: border-box;
    transition: transform 0.3s ease-in-out;
}

.product-modal-header {
    background-color: var(--primary-color);
    color: #fff;
    border-radius: 5px 5px 0 0;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.product-modal-header h2 {
    margin: 0;
    font-size: 1.5em;
}

.product-modal-header .close-product-modal {
    background: none;
    border: none;
    font-size: 1.5em;
    cursor: pointer;
    color: #fff;
    transition: color 0.3s ease;
}

.product-modal-header .close-product-modal:hover {
    opacity: 0.8;
}

.product-modal-body {
    padding: 20px;
    background-color: var(--background-color);
    color: var(--text-color);
    display: flex;
    flex-direction: column;
}

.product-modal-body img {
    max-width: 100%;
    height: auto;
}

.product-modal-body p {
    font-size: 1em;
    line-height: 1.5;
    margin: 10px 0;
}

.product-modal-footer {
    padding: 10px;
    text-align: right;
    background-color: var(--secondary-color);
    border-radius: 0 0 5px 5px;
}

.product-modal-footer .btn-secondary {
    padding: 10px 15px;
    background-color: var(--primary-color);
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.product-modal-footer .close-product-modal {
    padding: 12.5px 15px;
    background-color: var(--dark-brown);
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.product-modal-footer .close-product-modal:hover {
    opacity: 0.9;
}

.product-modal-footer a {
    text-decoration: none;
    color: #fff;
}

.product-modal-footer a:hover {
    opacity: 0.8;
}

